﻿using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace MainModClass
{
    public class MainModClass
    {
        public static void Main()
        {           
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Brick"),
                NameOverride = "End Result",
                NameToOrderByOverride = "-100000000",
                DescriptionOverride = ".... ----- .-- / -.-.-- - / ...-- -. -.. ... .-.-.- .-.-.- .-.-.- ....- -. -.. / .... ----- .-- / -.-.-- - / -... ...-- --. -.-.-- -. -. ... .-.-.- .-.-.- .-.-.- .-.-.- .-.-.-",
                CategoryOverride = ModAPI.FindCategory("Explosives"),
                ThumbnailOverride = ModAPI.LoadSprite("humansminusicon.png"),
                AfterSpawn = (Instance) =>
                {
                    Debug.Log(Instance.name);
                    Debug.Log(Instance.transform.root.name);
                    Instance.AddComponent<Stuff>();
                    Instance.GetComponent<Stuff>().StartStuff();
                }
            });                       
        }
    }
}
